Bug 184477 - USB: same mount point used for different partitions
USB: same mount point used for different partitions
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-08 23:41 EST by Philippe Rigault
Modified: 2013-03-05 22:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 21:15:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Philippe Rigault 2006-03-08 23:41:49 EST
Description of problem: Plugging an USB key with two partitions results in the   
partitions mounted to the same mountpoint.   
     
     
Version-Release number of selected component (if applicable):     
hal-0.5.7-0.cvs20060213.1    
     
How reproducible: 100%     
     
     
Steps to Reproduce:     
1. Create two partitions on a USB key  
2. Plug in the USB key     
       
Actual results:    
The two partitions get mounted to the same mountpoint: /media/disk-1 
/media/disk (DVD) was already mounted before the USB key got plugged in. 
<snip>    
/dev/hdc               3339194   3339194         0 100% /media/disk    
/dev/sda2                49022      7660     41362  16% /media/disk-1    
/dev/sda1                49022      7660     41362  16% /media/disk-1    
    
     
Expected results:     
<snip>    
/dev/hdc               3339194   3339194         0 100% /media/disk    
/dev/sda1                49022      7660     41362  16% /media/disk-1    
/dev/sda2                49022      7660     41362  16% /media/disk-2    
     
     
Additional info:     
# fdisk -l /dev/sda    
    
Disk /dev/sda: 260 MB, 260046848 bytes    
32 heads, 32 sectors/track, 496 cylinders    
Units = cylinders of 1024 * 512 = 524288 bytes    
    
   Device Boot      Start         End      Blocks   Id  System    
/dev/sda1               1          96       49136    b  W95 FAT32    
/dev/sda2              97         496      204800   83  Linux    
    
/var/log/messages:    
Mar  8 23:31:08 ferrari kernel: usb 1-7: new high speed USB device using    
ehci_hcd and address 3    
Mar  8 23:31:08 ferrari kernel: usb 1-7: configuration #1 chosen from 1 choice    
Mar  8 23:31:08 ferrari kernel: SCSI subsystem initialized    
Mar  8 23:31:08 ferrari kernel: Initializing USB Mass Storage driver...    
Mar  8 23:31:08 ferrari kernel: scsi0 : SCSI emulation for USB Mass Storage    
devices    
Mar  8 23:31:08 ferrari kernel: usbcore: registered new driver usb-storage    
Mar  8 23:31:08 ferrari kernel: USB Mass Storage support registered.    
Mar  8 23:31:13 ferrari kernel:   Vendor: SONY      Model: Storage Media        
Rev: 1.00    
Mar  8 23:31:13 ferrari kernel:   Type:   Direct-Access                         
ANSI SCSI revision: 02    
Mar  8 23:31:13 ferrari kernel: SCSI device sda: 507904 512-byte hdwr sectors    
(260 MB)    
Mar  8 23:31:13 ferrari kernel: sda: Write Protect is off    
Mar  8 23:31:13 ferrari kernel: sda: assuming drive cache: write through    
Mar  8 23:31:13 ferrari kernel: SCSI device sda: 507904 512-byte hdwr sectors    
(260 MB)    
Mar  8 23:31:13 ferrari kernel: sda: Write Protect is off    
Mar  8 23:31:13 ferrari kernel: sda: assuming drive cache: write through    
Mar  8 23:31:13 ferrari kernel:  sda: sda1 sda2    
Mar  8 23:31:13 ferrari kernel: sd 0:0:0:0: Attached scsi removable disk sda    
Mar  8 23:31:13 ferrari kernel: sd 0:0:0:0: Attached scsi generic sg0 type 0    
Mar  8 23:31:14 ferrari kernel: kjournald starting.  Commit interval 5 seconds    
Mar  8 23:31:14 ferrari kernel: EXT3 FS on sda2, internal journal    
Mar  8 23:31:14 ferrari kernel: EXT3-fs: mounted filesystem with ordered data    
mode.
Comment 1 Philippe Rigault 2006-03-08 23:49:21 EST
Unplugged the USB key and plugged it again. Now it works OK each time.  
  
# df -kT  
<snip>  
/dev/hdc   iso9660     3339194   3339194         0 100% /media/disk  
/dev/sda1     vfat       49022      7660     41362  16% /media/disk-1  
/dev/sda2     ext3      198337    113991     74106  61% /media/disk-2  
 
Hmmm, I will try again after a reboot if this happens the first time it sees 
the media. 
Comment 2 Havoc Pennington 2006-07-08 13:30:41 EDT
I also saw this in a freshly-yum-updated fc5 as of yesterday; but I don't have
/media/disk-N at all, I just have two mounts both on /media/disk

/dev/sda1 on /media/disk type ext3 (rw,noexec,nosuid,nodev)
/dev/sda2 on /media/disk type ext3 (rw,noexec,nosuid,nodev)

Nautilus handles it suprisingly well ;-)
Comment 3 Havoc Pennington 2006-07-08 13:32:26 EDT
If I unmount both then plug the drive back, I got:

/dev/sda2 on /media/disk type ext3 (rw,noexec,nosuid,nodev)
/dev/sda1 on /media/disk-1 type ext3 (rw,noexec,nosuid,nodev)
Comment 4 Matthew Miller 2007-04-06 12:21:54 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 5 petrosyan 2008-03-10 21:15:15 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.